import '../css/styles.css';

import { initApp } from './core/init.js';

// resources/js/app.js (dein Einstiegspunkt)
import { registerSW } from 'virtual:pwa-register';

const updateSW = registerSW({
    onNeedRefresh() {
        const reload = confirm('🔄 Neue Version verfügbar. Seite neu laden?');
        if (reload) updateSW(true);
    },
    onOfflineReady() {
        console.log('📦 Offline-Inhalte sind bereit.');
    }
});

registerSW({
    onRegistered(reg) {
        console.log('Service Worker registriert:', reg);
    },
    onRegisterError(error) {
        console.error('Service Worker Fehler:', error);
    }
});

document.addEventListener("DOMContentLoaded", () => {
    initApp();
});

function isHtmlAttributeSupported(elementName, attribute) {
    const element = document.createElement(elementName);
    return attribute in element;
}


let closedAttr = document.getElementById('my-dialog');
if(! 'closedby' in closedAttr) {
    alert('oh no');
}

/*
if (isHtmlAttributeSupported('dialog', 'closedby')) {
    alert('Attribut wird unterstützt!');
} else {
    alert('Nicht unterstützt!');
}
*/
